--- title: "View domain details" slug: "networking-globaldns-record-getdomaindetail" tags: ["Global DNS"] updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-globaldns-record-getdomaindetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View domain details Available in Classic and VPC View details of a specified domain. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /dns/v1/ncpdns/domain/{domainId} | ### Request headers For information about the headers common to all Record APIs, see [Record API request headers](/docs/en/networking-globaldns-record#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `domainId` | Integer | Required | Domain ID - See [View domain](/docs/en/networking-globaldns-record-getdomainlist) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/domain/25***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [DomainDetailResponse](/docs/en/common-apidatatype-domaindetailresponse#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For information about the HTTP status codes common to all Record APIs, see [Record API response status codes](/docs/en/networking-globaldns-record#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "id": 25***, "name": "domain000.com", "completeYn": true, "dnssecYn": false, "status": "SUCCESS", "description": "", "createdDate": 1714628484, "modifiedDate": 1714628501, "recordCount": 2, "soa": { "domainName": "domain000.com", "nameServers": "ns1-1.ns-ncloud.com. ns1-2.ns-ncloud.com.", "serial": 1, "refresh": 21600, "retry": 1800, "expire": 1209600, "ttl": 300, "dnssecYn": false } } ``` ### Error code example The following is a sample error code. ``` { "result": "FAIL", "error": { "errorCode": "X00006", "message": "You are not authorized.", "devMessage": "You are not authorized." } } ```